<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Mahasiswa Dosen Wali</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Setting</h5>
                                        <span class="h2 font-weight-bold mb-0">Mahasiswa Dosen Wali </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
<!--                                <button class="btn btn-sm btn-primary" data-toggle="modal" data-target="#exampleModal" >Tambah Dosen Wali</button>-->
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <form method="get">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Program Studi</label>
                                                <select name="prodi" required class="form-control">
                                                    <option value="" disabled selected>-- Select One --</option>
                                                    <option th:each="data : ${prodi}"
                                                            th:selected="(${data} == *{selectedProdi})"
                                                            th:text="${data.namaProdi}"
                                                            th:value="${data.id}">sdasd</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Angkatan</label>
                                                <select name="angkatan" class="form-control" required>
                                                    <option value="" disabled selected>-- Select One --</option>
                                                    <option value=""></option>
                                                    <option th:each="data : ${angkatan}"
                                                            th:selected="(${data} == *{selectedAngkatan})"
                                                            th:text="${data}"
                                                            th:value="${data}">sdasd</option>
                                                </select>
                                            </div>
                                        </div>


                                        <input type="hidden" name="dosen" th:value="${dosen}">
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12" style="text-align: center;">
                                            <div class="form-group">
                                                <button type="submit" class="btn btn-info"><i class="fa fa-search"></i> Cari</button>
                                            </div>
                                        </div>

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <span th:if="${selectedMahasiswa != null}">
                        <form th:action="@{/setting/mahasiswa/save}" method="post">
                            <div class="table-responsive"  style="height: 400px; overflow: auto;">


                            <table class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">No</th>
                                    <th scope="col">NIM</th>
                                    <th scope="col">Nama</th>
                                    <th scope="col">Prodi</th>
                                    <th scope="col">Dosen Wali</th>
                                    <th scope="col">Status Mahasiswa</th>
                                    <th scope="col">Info Tambahan</th>
                                    <th scope="col"></th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="dataMahasiswaDosenWali,row : ${selectedMahasiswa}">
                                    <td th:text="${(row.index + 1)}">1.</td>

                                    <td th:text="${dataMahasiswaDosenWali[1]}">BEASISWA</td>
                                    <td th:text="${dataMahasiswaDosenWali[2]}">Pendapatan dari Beasiswa</td>
                                    <td th:text="${selectedProdi.namaProdi}">-</td>
                                    <td th:text="${dataMahasiswaDosenWali[3]}">AKTIF</td>
                                    <td>
                                        <span th:if="${dataMahasiswaDosenWali[4] == 'KELUAR'}" class="badge badge-danger">Keluar</span>
                                        <span th:if="${dataMahasiswaDosenWali[4] == 'AKTIF'}" class="badge badge-primary">Aktif</span>
                                        <span th:if="${dataMahasiswaDosenWali[4] == 'LULUS'}" class="badge badge-success">Lulus</span>
                                    </td>
                                    <td>
<!--                                          <a th:href="@{/report/pembinaanMatrikulasi(nim = ${dataMahasiswaDosenWali[1]})}" class="btn btn-sm btn-md btn-info"  target="_blank" ><i class="fas fa-plus-circle"></i> Matriculation Program</a>-->
                                        <a th:href="@{/report/historymahasiswa(nim = ${dataMahasiswaDosenWali[1]})}" class="btn btn-sm btn-md btn-info"  target="_blank" ><i class="fas fa-plus-circle"></i> Riwayat Mahasiswa</a>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    <div class="card-footer">

                    </div>
                        </form>
                    </span>

                </div>
            </div>
        </div>

    </div>

</div>
</body>
</html>
<script>
    $(document).ready(function() {
        // $('.js-example-basic-multiple').select2();
        $('.js-example-basic-multiple').select2();
    });
    $(document).ready(function() {
        $('.js-example-basic-single').select2();
    });

</script>